Browser Recommendations

For information on Windows 8: Visit the IT Services Windows 8 Information page.

Internet Explorer 8, Safari 5, and Chrome: Please note that some of Stanford's administrative applications are not yet certified to work with IE8, Safari 5, or Chrome, and users may want to consider refraining from upgrading.  If you have already upgraded to IE8, IE9 or Safari 5 and are experiencing problems, you can uninstall and revert to your previous version.

Application

IE

Firefox

Safari

Chrome

Notes

Accounts App 8+ any any any Includes mobile safari for tablet devices. No compatability mode for IE.
Axess (student enrollment and faculty grading) 8+ 17+ 5+ 17+  
Beacons Dashboard 7, 8, 9 3.6, 4.5+ 4+ 17, 17+ Chrome compatible.
Confluence 8, 9, 10 17+ 6.1+ 28+  
Connect.stanford.edu (Citrix portal for distributed applications) 7, 8 3 4, 5 n/a  
eCertification n/a 27+ 6.0.5+ 33+ Internet Explorer (IE) is not supported.
 
FileDrawers (afs.stanford.edu) any any any any  
Hyperion EPM 11.1.2.2 (Budgeting)  7, 8, 9 10 n/a n/a Safari not supported.  For additional information, see Browsers support & settings.
iOU (Reimbursement, Advances, Travel Card, Other Checks, and Petty Cash) 8, 9* 3 4, 5 n/a *IE9 is only supported in Compatibility Mode.
My IT Services & IT Services (review IT Services bills/statements and place service orders) 7, 8 3 n/a n/a Safari not supported.
ITS Ordering Portal (PMG)  7, 8, 9* 3, 7, 8, 11, 12 4, 5 n/a *IE9 is only supported in Compatibility Mode.
JIRA 8, 9, 10* 17+ 6.1+ 29+  *Compatibility Mode not supported.  
Nolij (document management) 8+ 17+ 5+ 17+ *Java must be installed and enabled in order to upload/scan documents into Nolij.  
OBIEE (bi.stanford.edu) 7, 8, 9
10
3.5+, 6+
13+
4, 5 19+  
Oracle Financials Core Applications (Oracle Labor Distribution, Sunflower Assets, other Core Oracle Modules) 8, 9, 10 3.5+, 10.x, 17.x, 24.x 5, 6 n/a

Oracle Browser FAQ

Oracle Financials Self Service Applications (iProcurement, iJournals, iBudgets)  8, 9*, 10*

3**,10.x**, 17.x**, 24.x**

5, 6 n/a * Not all Vendors in SmartMart for iProcurement are IE8 Compliant.  IE9/IE10 is only supported in Compatibility Mode.  **Firefox not supported on Mac.

 

Oracle Financials Commitment Management System (CMS) 7, 8, 9* n/a 4, 5 n/a *IE9 is only supported in Compatibility Mode. ***The browser must access the application via Connect. Please file a HelpSU ticket for access.  Not compatible with Firefox.
mdm.stanford.edu n/a any any any Works on native Android browser and Safari for iOS6+
PCard (procurement cards) 8, 9* 3 4, 5 n/a *IE9 is only supported in Compatibility Mode.
PeopleSoft Version 9 (HR & Student Administration) 8+ 17+ 5+ 17+ Chrome 17+ compatible.
Pinnacle 5.4.8 (IT Services billing system) 7, 8 3 n/a n/a Not compatible with Safari.
Registry Applications (Authority Manager, Organization Manager, RegAdmin, and Workgroup Manager) 8+ 17+ 5+ Latest stable version supported.  
Remedy 8.1

10 & 11 (in (Windows 7**)

26+* 7 32+

*Remedy works with Firefox 26+ on the Mac, however a black background is displayed which hides some field names.  

**Remedy does not work with IE 10 or 11 in Windows 8. 

ReportMart3 by Business Objects XI R2* 7, 8, 9 3+ 4, 5 See Note**

*Mac users: RM3 is only supported on Firefox 30.  

**For Chrome users, the report in HTML Mode will not display the layout of the report in the right pane, but it works perfectly if the report is opened in PDF mode.

SeRA(All Modules - Proposals & Awards, Sponsored PTA Manager, Award Reporting and Closeout and Subawards) & OPACS n/a 26+ 5, 6+ 33+ Internet Explorer (IE) is not supported.
 
Sponsorship Manager 8+ any any any  
StanfordWho 8+ any any any  
STARS (training registration) 8+ 17+ 5+ 17+  
Taleo Recruitment Manager (Applicant Tracking System) 7, 8, 9, 10
 
17+ 6 27+*

Mac: Latest version of Java must be installed; check here to learn how to verify.  Chrome not supported.

Taleo-Performance (Performance Management @Stanford) 7, 8, 9, 10 17+ 6 27+*

Mac:  Latest version of Java must be installed; check here to learn how to verify.  Chrome not supported.

WebLogin any any any any Will work with any browser that supports cookies including Lynx.

Java Security Note:

For security purposes, users should ensure that their desktop is updated with latest release of Java. The latest release of Java 7 is required to run any Oracle Financials Core Applications (Oracle Labor Distribution, Sunflower Assets, and other Core Oracle Modules). Users may disable Java if not needed for administrative computing purposes.

Users should also have the latest antivirus & malware software installed on their computer, and limit web browsing to trusted sites required for administrative computing.